<script>
$(document).ready(function(){
	$('select').select2();
	$.each($(".select2-container"), function (i, n) {
            $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
            $(n).prepend($(n).next());
            $(n).delay(500).queue(function () {
                $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
                $(this).dequeue();
            });
        });	
});
</script>
<div id="content">                        
<div class="wrap">
                  
<div class="head">
	<div class="info">
		<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
		<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>
			<ul class="breadcrumb">
            	<li><a href="<?php echo base_url()?>home"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="zakat/home"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('title') ?></li>
            </ul>
	</div>
                          
	<div class="search">
		<form action="<?php echo base_url() ?>admin/search" method="post">
			<input name="search_text" type="text" placeholder="search..."/>                                
            <button type="submit"><span class="i-magnifier"></span></button>
		</form>
	</div>                        
</div>  <!-- Head -->
<div class="content">
	<div class="row-fluid">
		<div class="span12">
			<?php 
				$hidden = array('order_time' => date('Y-m-d H-i-s'));
				$attrib = array('id'=>'validate'); 
				echo form_open('', $attrib, $hidden);?>
            <div class="block">
               	<div class="head">
                   	<h2><?php echo $this->lang->line('title') ?></h2>
                    <div class="side fr">
                       <button class="btn" onClick="clear_form('#validate');" type="button">Clear form</button>
                    </div>
				</div>
				<div class="content np">    
                      <div class="controls-row"> <!-- row 1 -->
                   	<div class="span2"><?php echo $this->lang->line('center') ?></div>
                   		<div class="span4">
						<?php
							$options='';
							$options[NULL] = $this->lang->line('pleaseSelect');
							if($ZakatCenter != ''){
								foreach($ZakatCenter as $row){
									$options[$row->ID] = $row->name . " [" . $row->shortName . "]";
								}
							}
							$js='id="centerID"  class="span12 validate[required]"';
							echo form_dropdown('centerID', $options, '', $js);
						?>       
                         </div>                
                  </div><!-- End Row 1 -->
                	<div class="controls-row"><!-- Row 4-->
                    	<div class="span2"><?php echo $this->lang->line('year');?></div>
						<div class="span4">
						<?php
						$preselyear = $selyear;
						$options = '';
						for($i=-15; $i<20; $i++){
							$options[date('Y', strtotime($i . "  year"))] = date('Y', strtotime($i . "  year"));
						}
						$js='class="span12 validate[required]" id="add_year"';
						echo form_dropdown('add_year', $options, $preselyear, $js); 
						?>       
                        </div>
                 	</div><!-- End Row 4-->
                  <div class="controls-row">
                  	<div class="span2"><?php echo $this->lang->line('nisab') ?></div>
                   	<div class="span4">
						<?php
							$data = array(
									'name'=>'nisab',
									'id'=>'nisab',								
									'class'=>'span12 validate[required] tar',); 
							echo form_input($data, set_value('nisab')); ?>                       
                  	</div>                            
                  </div>    
            	  <div class="footer">
            		<div class="side fr">
                		<div class="btn-group">
                        <?php 
							$data = array(
									'name'=>'validat', 
									'class'=>'btn',
									'onClick'=>"$('#validate').validationEngine('hide');"); 
							echo form_button($data,'Hide prompts');
							$data = array(
									'name'=>'mysubmit', 
									'class'=>'btn btn-primary');
							$js='onclick="return confirm(\''.$this->lang->line('message3').'\')"';
							echo form_submit($data,'Submit',$js);
							?>
                    	</div>
                		</div>
            		</div>                                    
				</div>  <!-- content -->
    		</form>
		</div>  <!-- block -->
		</div>  <!-- span12 -->
	</div>  <!-- row-fluid -->
</div>  <!-- content -->
</div>  <!-- wrap -->
</div>  <!-- content -->
